Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005686OCamlOCamlbuild (the tool)public2012-07-13 21:382013-06-13 07:17
Reporterhongboz 
Assigned Tomeyer 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.00.2+devFixed in Version4.01.0+dev 
Summary0005686: .itarget does not work
Descriptionwhen I have foo.itarget
cat foo.itarget
a.cma
b.byte

b.byte depends on a.cma,
ocamlbuild foo.otarget will break.
The output looks weird since it generates a.cmo, and immediately stop building a.cma, it try to build b.byte instead.
If I try to build a.cma, and b.byte by hand separately, it works.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0008768)
meyer (developer)
2013-01-17 08:03
edited on: 2013-01-17 08:04

Can't reproduce it:

$ cat foo.itarget 
a.cma
b.byte
$ cat a.ml 
$ cat b.ml 
open A
$ ocamlbuild foo.otarget
Finished, 8 targets (0 cached) in 00:00:00.
$ ls
a.cma  a.ml  b.byte  b.ml  _build  foo.itarget

Can you confirm it's been fixed, or submit a test case that shows the bug?

(0008772)
hongboz (developer)
2013-01-17 14:54

I remembered it was from a large codebase and hard to reproduce, though, sorry about that

- Issue History
Date Modified Username Field Change
2012-07-13 21:38 hongboz New Issue
2012-07-17 14:50 doligez Status new => acknowledged
2012-07-17 14:50 doligez Target Version => 4.01.0+dev
2012-07-31 13:36 doligez Target Version 4.01.0+dev => 4.00.1+dev
2012-09-10 05:20 meyer Assigned To => meyer
2012-09-10 05:20 meyer Status acknowledged => assigned
2012-09-21 14:50 doligez Target Version 4.00.1+dev => 4.00.2+dev
2013-01-17 08:03 meyer Note Added: 0008768
2013-01-17 08:03 meyer Note Edited: 0008768 View Revisions
2013-01-17 08:04 meyer Note Edited: 0008768 View Revisions
2013-01-17 08:04 meyer Note Edited: 0008768 View Revisions
2013-01-17 08:04 meyer Note Edited: 0008768 View Revisions
2013-01-17 14:54 hongboz Note Added: 0008772
2013-01-18 20:38 meyer Status assigned => resolved
2013-01-18 20:38 meyer Fixed in Version => 4.00.2+dev
2013-01-18 20:38 meyer Resolution open => fixed
2013-06-13 07:17 meyer Fixed in Version 4.00.2+dev => 4.01.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker